/*
 * Jar2Exe Class Loader
 * 
 * Copyright (c) RegExLab.com
 * 
 * 2007.06.18 Chongqing China.
 */
package com.regexlab.j2e;

import java.net.*;
import java.util.*;

/**
 * Jar2Exe Class Loader
 * 
 * @author sswater shi
 */
public class Jar2ExeClassLoader extends ClassLoader
{
    protected native Class findClass(String name) throws ClassNotFoundException;

    protected native URL findResource(String name);

    protected native Enumeration findResources(String name);

    static
    {
        String s = System.getProperty("j2e.app.path");
        if (s != null)
            System.load(s);
    }
}
